Debian Bug report logs - #695595
binutils: Add support for DEB_TARGET_ARCH for regularising cross-toolchain building

version graph

Package: binutils; Maintainer for binutils is Matthias Klose <doko@debian.org>; Source for binutils is src:binutils.

Reported by: Wookey <wookey@wookware.org>

Date: Mon, 10 Dec 2012 16:09:01 UTC

Severity: wishlist

Tags: experimental, patch

Found in version 2.23.1~exp2

Fixed in version binutils/2.23.1-1~exp5

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#695595; Package binutils. (Mon, 10 Dec 2012 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 10 Dec 2012 16:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: binutils: Add support for DEB_TARGET_ARCH for regularising cross-toolchain building
Date: Mon, 10 Dec 2012 16:07:33 +0000
[Message part 1 (text/plain, inline)]
Package: binutils
Version: 2.23.1~exp2
Severity: wishlist
Tags: experimental patch
User: crossbuild@debian.org
Usertags: cross

Currently there is inconsitency between gcc and binutils for setting
the TARGET architecture when building cross-tools. In order make this
an automatable procedure for bootstrapping and to run on buildds we
really want consistency.

Currently
binutils wants TARGET=<arch> dpkg-buildpackage
gcc wants GCC_TARGET or DEB_GCC_TARGET=<arch> dpkg-buildpackage 

In line with dpkg-architecture use of BUILD and HOST var names I think
both these packages should accept DEB_TARGET_ARCH=<arch>. This is a
non-package-specific name and in the same format as BED_BUILD_ARCH and
DEB_HOST_ARCH. With this change cross-tools can consistently be built
by higher-level packages (such as dpkg-buildpackage and sbuild)
without special knowledge of whichever package is being built.

Here is a patch for this functionality in binutils. The existing
TARGET variable and debian/target mechanbism will still function if
set and DEB_TARGET_ARCH isn't, for backward compatibility, but I hope
we can phase at least $TARGET out over time.


-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages binutils depends on:
ii  libc6                   2.11.3-4         Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.5-8        GCC support library
ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

binutils recommends no packages.

Versions of packages binutils suggests:
pn  binutils-doc                  <none>     (no description available)

-- debconf information excluded
[binutils-2.23.1-DEB_TARGET_ARCH.patch (text/plain, attachment)]

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Wed, 13 Feb 2013 12:21:08 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Wed, 13 Feb 2013 12:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 695595-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 695595-close@bugs.debian.org
Subject: Bug#695595: fixed in binutils 2.23.1-1~exp5
Date: Wed, 13 Feb 2013 12:18:04 +0000
Source: binutils
Source-Version: 2.23.1-1~exp5

We believe that the bug you reported is fixed in the latest version of
binutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 695595@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated binutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 13 Feb 2013 12:10:31 +0100
Source: binutils
Binary: binutils binutils-dev binutils-multiarch binutils-gold binutils-hppa64 binutils-spu binutils-doc binutils-source
Architecture: source all amd64
Version: 2.23.1-1~exp5
Distribution: experimental
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 binutils   - GNU assembler, linker and binary utilities
 binutils-dev - GNU binary utilities (BFD development files)
 binutils-doc - Documentation for the GNU assembler, linker and binary utilities
 binutils-gold - GNU gold linker utility
 binutils-hppa64 - GNU assembler, linker and binary utilities targeted for hppa64-li
 binutils-multiarch - Binary utilities that support multi-arch targets
 binutils-source - GNU assembler, linker and binary utilities (source)
 binutils-spu - GNU assembler, linker and binary utilities targeted for spu-elf
Closes: 684903 695595
Changes: 
 binutils (2.23.1-1~exp5) experimental; urgency=low
 .
   * Update from the 2.23 branch (20130213).
     - AArch64 and PPC updates.
   * Recognize DEB_TARGET_ARCH for cross builds. Closes: #695595.
   * Fix srec_scan null dereference (Sang Kil Cha). Closes: #684903.
Checksums-Sha1: 
 4602d5c0d8ce112702210e3424cd8e06a59b511e 1724 binutils_2.23.1-1~exp5.dsc
 a23bf1d3d320c157568140bed2bc98298b9d12cf 245474 binutils_2.23.1-1~exp5.diff.gz
 aa8b9372d48bede7bbf52dc32f6fb1c09b377789 477944 binutils-doc_2.23.1-1~exp5_all.deb
 c67a34c9c24670e0c33aeb35d387c200b0f531b5 15684920 binutils-source_2.23.1-1~exp5_all.deb
 9dceac1835b0f54cbabcd7318c725ea30b70163c 4962920 binutils_2.23.1-1~exp5_amd64.deb
 d9ed74acacfeaf2dd2158fb0b606c8f8ef477fb7 4785028 binutils-dev_2.23.1-1~exp5_amd64.deb
 6449ac3ea61c58a15908558755ad506f220597fb 2375468 binutils-multiarch_2.23.1-1~exp5_amd64.deb
 8cb49b6a419ed637db308123ef10dd32d9b8e93d 1470 binutils-gold_2.23.1-1~exp5_amd64.deb
Checksums-Sha256: 
 c8cb2ccb16c40a756553042ccc4587643b853543dcd7b9fd9685dacd1362bd49 1724 binutils_2.23.1-1~exp5.dsc
 50378d186ac2b6f9f6f12461e7570d1df6acbfdcffc625fd5fb51042fb2a14ff 245474 binutils_2.23.1-1~exp5.diff.gz
 ad3f5b3be72f70f366b4a68b72d5968e535d397be9341e60fcc2ef13c67adafd 477944 binutils-doc_2.23.1-1~exp5_all.deb
 fe33461f99ee3118ddd1581b4a05764263e1a6133835e770579142be7bc26473 15684920 binutils-source_2.23.1-1~exp5_all.deb
 d6a672ff82d96ae01d409b7d9e0e28b57efcca4e99d36d8388a458b2d70df0f0 4962920 binutils_2.23.1-1~exp5_amd64.deb
 dda2c21c6649b5c04f54a75cc5bb2bf1184ed8b92f1ee63c674de8c278e68c74 4785028 binutils-dev_2.23.1-1~exp5_amd64.deb
 fa21db90bec47223feffff4103eb0c723a152afc39434e9a661954fa8e872923 2375468 binutils-multiarch_2.23.1-1~exp5_amd64.deb
 1574417b65309b7e5b54fe92204d78d7842a084f5c12964da3502ca3e9f3698b 1470 binutils-gold_2.23.1-1~exp5_amd64.deb
Files: 
 774445966bbba18662652ba42ab90b0c 1724 devel optional binutils_2.23.1-1~exp5.dsc
 edd0e97d8fd02f19a6ce2cd0aed94a13 245474 devel optional binutils_2.23.1-1~exp5.diff.gz
 d0fef489f51cc617b57a5558b4bc9a18 477944 doc optional binutils-doc_2.23.1-1~exp5_all.deb
 56415fbc76a03fc01ebde18781efb0a1 15684920 devel optional binutils-source_2.23.1-1~exp5_all.deb
 b16649dfea5d509bd9348eb1963225b2 4962920 devel optional binutils_2.23.1-1~exp5_amd64.deb
 8d17f544a7d5374505f784adedd1cf49 4785028 devel extra binutils-dev_2.23.1-1~exp5_amd64.deb
 906f4126d2b9d8bd43aeb415cef6678b 2375468 devel extra binutils-multiarch_2.23.1-1~exp5_amd64.deb
 2f2d0b52f596552f6e1b576a39a2fd54 1470 devel extra binutils-gold_2.23.1-1~exp5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEbfzsACgkQStlRaw+TLJxarQCfeV2/YfZk3RC3nBi1//BNd9cl
NdgAn3Xn1I9hJoT4xjVAI8fz1zfqMXsf
=eSw3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Mar 2013 07:27:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:55:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.